import commonLogic from '@/locale/logic/common/common-logic';

function getLocaleResourceBase(){
	const data:any = {
	fields: {
		updateman: commonLogic.appcommonhandle("更新人",null),
		ibizsample0013name: commonLogic.appcommonhandle("订单明细名称",null),
		updatedate: commonLogic.appcommonhandle("更新时间",null),
		createman: commonLogic.appcommonhandle("建立人",null),
		createdate: commonLogic.appcommonhandle("建立时间",null),
		amount: commonLogic.appcommonhandle("小计",null),
		quantity: commonLogic.appcommonhandle("数量",null),
		ibizsample0013id: commonLogic.appcommonhandle("订单明细标识",null),
		unit: commonLogic.appcommonhandle("单位",null),
		ibizuniproductname: commonLogic.appcommonhandle("统一产品名称",null),
		unitprice: commonLogic.appcommonhandle("单价",null),
		ibizsample0012name: commonLogic.appcommonhandle("订单名称",null),
		ibizuniproductid: commonLogic.appcommonhandle("统一产品标识",null),
		ibizsample0012id: commonLogic.appcommonhandle("订单标识",null),
	},
		views: {
			pickupgridview: {
				caption: commonLogic.appcommonhandle("订单明细",null),
				title: commonLogic.appcommonhandle("订单明细选择表格视图",null),
			},
			pickupview: {
				caption: commonLogic.appcommonhandle("订单明细",null),
				title: commonLogic.appcommonhandle("订单明细数据选择视图",null),
			},
		},
		main_grid: {
			columns: {
				ibizsample0012name: commonLogic.appcommonhandle("订单名称",null),
				ibizuniproductname: commonLogic.appcommonhandle("统一产品名称",null),
				unit: commonLogic.appcommonhandle("单位",null),
				unitprice: commonLogic.appcommonhandle("单价",null),
				quantity: commonLogic.appcommonhandle("数量",null),
				updatedate: commonLogic.appcommonhandle("更新时间",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("",null), 
			},
			uiactions: {
			},
		},
	};
	return data;
}
export default getLocaleResourceBase;